Subject: Re: bug#22587: ‘guix edit’ &‘M-x guix-edit' typo, rename, & mode change

From: myglc2 <[email-masked]>
Date: Sun, 07 Feb 2016 14:22:36 -0500

Andreas Enge <[email-masked]> writes:

> On Sun, Feb 07, 2016 at 01:04:40PM -0500, myglc2 wrote:
>> TYPO:
>> "edit" (last line above) should be replaced with "view", "inspect", or
>> "examine".
>> RENAME:
>> Calling these functions 'guix edit' and 'M-x guix-edit' implies that the
>> user will be able to modify the recipe, but this is not actually the
>> case.
>
> This depends on the user's rights. In a global installation, root is allowed
> to modify. In a git checkout, one would need to do "./pre-inst-env guix edit"
> like with all other guix commands.
>
> Andreas

Of course, running as root, 'guix edit' opens the recipe read-only and
from there, root can do whatever he/she likes.

But, AIUI, this goes against the guix concept of an immutable store.

To describe and name this function to imply that one could/should edit
recipes in the store based on the "corner case" of root having the
ultimable ability to do so seems counter to how you would want to
encourage even a root user to proceed.